const mocha = require('mocha');
const chai = require('chai');

const getInteger = require('../');

const describe = mocha.describe;
const it = mocha.it;
const assert = chai.assert;

const NaNValues = [NaN, 'string', false, null, undefined, {}, () => {}];

describe('getInteger', () => {
  it('should convert string to integer', () => {
    const integer = getInteger('1');
    assert.isNumber(integer);
  });

  it('should convert float to integer', () => {
    const integer = getInteger(1.2);
    assert.strictEqual(integer, 1);
  });

  NaNValues.forEach((NaNValue) => {
    it(`should return 0 when argument equal "${NaNValue}"`, () => {
      const integer = getInteger(NaNValue);
      assert.strictEqual(integer, 0);
    });
  });
});
